#include <Arduino.h>
#include "constants.h"
#include "enums.h"
#include "cyber.h"
#include "stalker111pt7b.h"

int default_x = 5;
int default_y = 22;

int offset = 0;

void draw_cyber(MatrixPanel_I2S_DMA *matrix, Mode mode) {
  matrix->fillScreenRGB888(255, 255, 0);
  matrix->setFont(&stalker111pt7b);
  matrix->setTextColor(matrix->color444(0, 0, 1));
  if (mode == Stealth) {
    matrix->setCursor(default_x, default_y);
  } else {
    matrix->setCursor(default_x - offset, default_y);
    offset++;
  }
  matrix->print("CYBER CYBER");
  if (offset == 59) {
    offset = 0;
  }
  delay(25);
}
